### Method

# Devhelp ProfileBuilder set_settings

#### Declaration [src]

    void
    dh_profile_builder_set_settings (
      DhProfileBuilder* builder,
      DhSettings* settings
    )

#### Description [src]

Sets the `DhSettings` object.

If you don’t call this function, the default `DhSettings` object as returned by `dh_settings_get_default()` will be used.

Available since: | 3.30

#### Parameters

`settings` | `DhSettings`
| A `DhSettings`.
| The data is owned by the caller of the function.